## ghostscript 8.71~dfsg2

=== debian/changelog ===
ghostscript (8.71~dfsg2-9+squeeze1) stable-security; urgency=low

  * CVE-2012-4405

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 28 Dec 2012 02:50:02 +0000

ghostscript (8.71~dfsg2-9) unstable; urgency=low

  * Fix merge in 8.71~dfsg2-6.1 (not unreleased 8.71~dfsg2-7).
  * Fix strip CMap files in target related to libgs8 (not ghostscript).
  * Package now team-maintained:
    + Set Debian Printing Team as author.
    + Set myself and Add Michael Gilbert as uploaders. Welcome, Michael!
    + Drop Masayuki Hatta and Torsten Landschoff as uploaders,
      reflecting the sad reality of them going silent. Thanks for past
      contributions, and feel free to join back later!

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jan 2011 02:38:59 +0100

ghostscript (8.71~dfsg2-8) unstable; urgency=low

  * Update VCS hints to track squeeze-targeted branch.
  * Sync control.in with control:
    + Add Michael Gilbert as uploader.
    + Newline-delimit uploaders.
  * Fix install arch-independent files in library package: they are
    needed by library calls (not only by executables):
    + Install /usr/share/ghostscript/* into libgs8.
    + Install empty dir var/lib/ghostscript/CMap into libgs8 (as well as
      into ghostscript where install scripts depend on it) as it is used
      by symlink.
    + Have libgs8 break and replace older ghostscript.
    Closes: bug#485621, thanks to Tom Parker and others.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jan 2011 16:12:44 +0100

ghostscript (8.71~dfsg2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix various aspects of CVE-2010-2055:
    - Honor -P- command-line option (closes: #584653).
    - Set SEARCH_HERE_FIRST=0 by default (closes: #584663).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 09 Dec 2010 21:40:17 -0500

ghostscript (8.71~dfsg2-6) unstable; urgency=low

  * Acknowledge pseudo-NMUs.
    Closes: bug#584667, #584516, #583738, thanks to Moritz Muehlenhoff
    and Sebastian Dröge.
  * There is no such thing as a "collab-maint upload:
    + Edit historical changelog entries to avoid further repitition.
    + Document sensible use of collab-maint for NMUs in README.source.
  * Reorder patches to match upstream commit order.
  * Replace patches 0960-0962 (fix printing from GTK+ apps) from Ubuntu
    with corresponding patches cherry-picked from upstream.
  * Refresh patches using shortening options --no-timestamps --no-index
    -pab.
  * Bump Standards-Version to 3.9.1.
  * Put myself as maintainer and Hatta as uploader, to better reflect
    our current levels of activity.
  * Drop superfluous cleanup in preinst of transitional gs-common.
    Thanks to Jonathan Nieder (see bug#519141).
  * Fix circular dependency: Stop ugly transitional hack of ghostscript
    depending on gs-common (which depends on ghostscript).
    Closes: bug#519141, thanks to Bill Allombert, Jonathan Nieder and
    others (see also bug#539754).
  * Add patch 011547 cherry-picked from upstream Subversion, to improve
    cups device support for rendering with high memory demands. Possibly
    fixes bug#534414 (try also setting RIPCache=auto in cupsd.conf).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2010 09:55:55 +0200

ghostscript (8.71~dfsg2-5) unstable; urgency=low

  * Adding myself to uploaders temporarily            
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Apply some patches from the Ubuntu package by Till Kamppeter to
    fix printing from GTK+ applications. This is upstream bug #691014
    and fixed upstream too (Closes: #583738).
  * Refresh all patches to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 09:55:39 +0200

ghostscript (8.71~dfsg2-4) unstable; urgency=medium

  * Adding myself to uploaders temporarily
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Fix CVE-2010-1628 (Closes: #584516)
  * Apply upstream commit r11351 to pass -P- to all Ghostscript
    internal tools. Ghostscript will likely be changed to run
    with -P- by default, but this still needs more work/testing
    for a final patch (Closes: #584667)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 31 Jul 2010 23:19:42 -0400

ghostscript (8.71~dfsg2-3) unstable; urgency=low

  * Fix have update-gsfontmap script exit 0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 17:17:14 +0200

ghostscript (8.71~dfsg2-2) unstable; urgency=low

  * Drop defoma. Add update-gsfontmap to provide cidfmap and Fontmap.
    Closes: bug#582110, thanks to Kenshi Muto.
  * List newly added update-gsfontmap script to copyright file (GPL).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 16:19:33 +0200

ghostscript (8.71~dfsg2-1) unstable; urgency=low

  * Use system jbig2dec:
    + Strip jbig2dec subdir.
    + Include (i.e. no longer strip) parts of Resource/CMap subdir:
      DFSG-free now (Adobe-specific license).
    + Bump DFSG repackaging tag.
    + Configure with SHARE_JBIG2=1.
    + Build-depend on libjibg2dec-dev.
    + Strip jbig_* symbols from symbols file.
  * Update/improve copyright file:
    + Rewrap license section Expat, and add comment on Expat variation.
    + Tighten license sections in copyright file.
    + Mention stripped files/dirs in copyright file.
    + Stop listing jbig2dec files.
    + Explicitly list stripped DFSG-nonfree parts of Resource/CMap
      subdir.
    + Stop mentioning local CDBS snippets (no longer included).
  * Strip CMap files (shipped separately, registered with DeFoMa).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2010 19:03:51 +0200

ghostscript (8.71~dfsg-4) unstable; urgency=low

  * Drop locally included d-shlibdeps, and instead tighten build-
    dependency on d-shlibs to versions supporting inversioned -dev

