=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Michael Gilbert <michael.s.gilbert@gmail.com>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 debhelper (>= 6),
 dh-buildinfo,
 devscripts (>= 2.10.7~),
 libjpeg-dev,
 libpaper-dev,
 libpng-dev,
 libz-dev,
 libfontconfig1-dev,
 libjasper-dev,
 libtiff-dev,
 libexpat-dev,
 libjbig2dec-dev,
 libcups2-dev (>= 1.3.7),
 libcupsimage2-dev (>= 1.1.20final+rc1-4),
 freeglut3-dev | libglut-dev,
 libxt-dev,
 libxext-dev,
 libx11-dev,
 libice-dev,
 libsm-dev,
 pkg-config,
 d-shlibs (>= 0.43)
Standards-Version: 3.9.1
Homepage: http://www.ghostscript.com/
Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostscript.git;a=shortlog;h=refs/heads/master-squeeze

Package: ghostscript
Architecture: any
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Depends: ${shlibs:Depends}, ${cdbs:Depends}, libgs8 (= ${binary:Version}), ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: The GPL Ghostscript PostScript/PDF interpreter
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be printed
 on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.
 .
 Package gsfonts contains a set of standard fonts for Ghostscript.

Package: gs-esp
Architecture: all
Priority: extra
Depends: ${cdbs:Depends}, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-esp package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-gpl
Architecture: all
Priority: extra
Depends: ${cdbs:Depends}, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-gpl package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-common
Architecture: all
Priority: extra
Depends:  ${cdbs:Depends}, ${misc:Depends}
Description: Dummy package depending on ghostscript
 This dummy package is provided for a smooth transition from the
 previous gs-.../gs-common combo (the packages are replaced by ghostscript).

Package: ghostscript-cups
Architecture: any
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}, ${cdbs:Recommends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: The GPL Ghostscript PostScript/PDF interpreter - CUPS filters
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come with
 Ghostscript.

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: The GPL Ghostscript PostScript/PDF interpreter - X Display support
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the Ghostscript output device for X11. It is in
 a separate package to allow the main package (ghostscript) to be installed
 on X-less servers.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Description: The GPL Ghostscript PostScript/PDF interpreter - Documentation
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the documentation of Ghostscript. As this documentation
 is only interesting for printer driver developers or advanced users, it is
 in this separate package which can be left out in space-restricted
 installations, like for example live CDs.

Package: libgs8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ${cdbs:Replaces}
Breaks: ${cdbs:Breaks}
Description: The Ghostscript PostScript/PDF interpreter Library
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the 
 facilities of Ghostscript available to applications.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends: ${devlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: The Ghostscript PostScript Library - Development Files
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package provides the development files for the Ghostscript library 
 which makes the facilities of Ghostscript available to applications.
