=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~dfsg.*// \
	http://ghostscript.com/releases/ghostscript-(\d+[^-]+)\.tar\.gz
