## ghostscript 9.01~dfsg

=== debian/changelog ===
ghostscript (9.01~dfsg-1ubuntu5) natty; urgency=low

  * gs-common: Reintroduce dependency on ghostscript, still too many packages
    assuming gs-common has the binaries.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 15:01:16 +0200

ghostscript (9.01~dfsg-1ubuntu4) natty; urgency=low

  * debian/patches/012310_opvp-fixes-for-gs9: Fixes concerning the
    compatibility of the OpenPrinting Vector ("opvp") output device with/
    Ghostscript 9.x.

     1. If there is any ICCColor based image in the PostScript input, GS
        crashes.
     2. Fallback when path is too complex for some kinds of printers. This
        problem

    already existed in GS 8.x.

    Thanks to Koji Otani from BBR Inc., Japan.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 25 Mar 2011  17:44:00 +0100

ghostscript (9.01~dfsg-1ubuntu3) natty; urgency=low

  * Really break and replace older ghostscript in libgs9-common.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Feb 2011 02:38:09 +0000

ghostscript (9.01~dfsg-1ubuntu2) natty; urgency=low

  * debian/rules, debian/ubuntu/apport-hook.py: Dropped the Apport hook on
    the merge from Debian. Re-added it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011  20:37:00 +0100

ghostscript (9.01~dfsg-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/ghostscript-cups.postinst: Fixed "lpstat -r" check for the
      auto update of PPDs of existing queues. "lpstat -r" exits always with
      status 0, we must check the actual output. Call lpstat, lpadmin, and
      cupsctl with "-h /var/run/cups/cups.sock" to avoid querying remote
      servers set up in /etc/cups/client.conf, and asking for passwords.
      Thanks to Martin-Éric Racine for tracking this down and the solution!
      See Debian bug #543468. Use signal names instead of numbers for trap,
      quiesces a lintian bashism warning.
    - debian/ghostscript.preinst: Clean up traces of Ghostscript in defoma
      via "defoma-app purge gs", so that when updating packages which still
      use defoma no warnings get issued.
    - debian/ghostscript.preinst: Use Ubuntu version numbers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011  19:03:00 +0100

ghostscript (9.01~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Drop cherry-picked and adopted patches.
      Thanks to Till Kamppeter!
  * Enable new FAPI (Freetype-based font rasterizer).
    Build-depend on libfreetype6-dev.
  * Strip additional libraries from repackaged source:
    + cups/libs: unneeded convenience library.
    + jpeg: convenience library used for broken JPEG (see bug#582521).
    + jpegxr: patented controversial JPEG XR convenience library.
  * Stop custom-handling upstream-shipped patch noise or autotools
    files: Properly shipped upstream now.
    Stop build-depending on autotools-dev or autoconf.
  * Update copyright file:
    + Extend copyright years.
    + Drop notes on no longer shipped jpeg files.
  * Update README.Debian:
    + Drop mentioning old merge of gs-gpl, gs-esp, and gs-common.
    + Drop note on files stripped from repackaged source: More accurate
      list provided in README.source for some time now.
    + Refer to bug#582521 regarding use of shared JPEG library.
    + Drop section on no longer used DeFoMa.
    + Fix Project name, and update trailing timestamp and author.
  * Fix move empty-cidfmap safety-check after binary-install targets.
  * Add patch 1001 to fix hashbang of cidfmap file: accidentally garbled
    upstream.
  * Update symbols file.
  * Fix build-depend on libijs-dev, to get back IJS support accidentally
    removed since 9.00~dfsg-1.  Add libijs quirk to s-shlibs invocation.
  * Build-depend on libidn11-dev, to support Unicode passwords.
  * Drop no longer needed configure option --disable-cairo.
  * Override lintian false positive: libgsN != libgsN-common.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Feb 2011 22:22:40 +0100

ghostscript (9.01~dfsg-0ubuntu1) natty; urgency=low

  * New upstream release
     o Final 9.01 release of Ghostscript
     o Support for using the system's libijs.
    Taken the ijs/ subdirectory out of the repackaged source tarball again
    as support for an external libijs got added now (LP: #704913, LP: #704157).
  * debian/control: Added libijs-dev to the build dependencies.
  * debian/rules: Added ijs/ subdirectory back to the upstream source
    repackaging check.
  * debian/rules: Updated regular expression to check whether
    Resource/Init/cidfmap is virtually empty.
  * debian/rules: Added a "--override" for libijs to the d-shlibmove call.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 12 Feb 2011  21:00:00 +0100

ghostscript (9.01~dfsg~svn12047-0ubuntu1) natty; urgency=low

  * New upstream release
     o SVN snapshot rev. 12047
    Taken back the ijs subdirectory into the repackaged source tarball as
    Ghostscript's build system does not support using an external, shared
    libijs (LP: #704913, LP: #704157).
    Removed the newly added ./cups/libs/ directory in the repackaging as
    we use the CUPS libraries of the cups package.
  * debian/rules: Removed ijs subdirectory from upstream source repackaging
    check and added cups/libs/ subdirectory.
  * debian/rules: Override a bug that if dynamically loadable X11 drivers are
    uses ("./configure --enable-dynamic") that in the core Ghostscript library
    the X11 drivers are also built in. This bug got most probably introduced
    with SVN rev. 12025.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 22 Jan 2011  11:25:36 +0100

ghostscript (9.01~dfsg~svn12005-0ubuntu1) natty; urgency=low


