=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2004-2009, Masayuki Hatta (mhatta) <mhatta@debian.org>
-# Copyright © 2009-2010, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009-2011, Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GPL Ghostscript
 #
 # This program is free software; you can redistribute it and/or
@@ -17,6 +17,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+# This needs to run before cdbs auto-update
+debian/control:: debian/control.in
+DEB_PHONY_RULES += debian/control.in
+debian/control.in::
+	sed $(SEDRULE_CONTENT) <debian/control.in.in >debian/control.in
+
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -24,11 +30,13 @@
 
 # ABI by default follows upstream version (without repackaging suffix)
 abi = $(DEB_UPSTREAM_TARBALL_VERSION)
+major := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/\..*$$//')
 libname = libgs
-libpkgname = $(libname)8
+libpkgname = $(libname)$(major)
+datapkgname = $(libname)$(major)-common
 
 DEB_UPSTREAM_URL = http://ghostscript.com/releases
-DEB_UPSTREAM_TARBALL_MD5 = 51a522a5b4818bd3dc7c1c0e9dd22bad
+DEB_UPSTREAM_TARBALL_MD5 = 5352c1c542cfabe928cfd3a17db051ad
 
 # Non-DFSG license limited to verbatim copying
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/90ms-RKSJ-UCS2 \
@@ -95,27 +103,25 @@
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/Identity-UTF16-H \
 	./Resource/CMap/Identity-UTF16-V
 # Sources unavailable
+# (PDFs kept commented out as reminder, in case jasper iss included)
 #DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jasper/doc/*.pdf
-# unused sources cluttering authorship/licensing tracking
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./zlib/ ./libpng/ ./jasper/ ./jbig2dec/
-
-# TODO: drop this before next upstream release
-DEB_UPSTREAM_REPACKAGE_TAG = dfsg2
+# convenience libraries cluttering authorship/licensing tracking
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./cups/libs/
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./expat/ ./freetype/ ./icclib/ ./ijs/ ./jasper/ ./jbig2dec/ ./lcms/ ./libpng/ ./tiff/ ./zlib/
+# convenience library enabling old non-standard option (see bug#582521)
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpeg/
+# convenience library implementing patented controversial JPEG XR format
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpegxr/
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(Resource/Font/.*|debian/(changelog|copyright(|_hints|_newhints)))$
 
 # Use system libraries
-gs_opts = SHARE_ZLIB=1 SHARE_LIBPNG=1 SHARE_JPEG=1 SHARE_JPX=1 SHARE_LIBTIFF=1 SHARE_EXPAT=1 SHARE_JBIG2=1
+# (listed in order of appearance)
+gs_opts = SHARE_JPEG=1 SHARE_LIBPNG=1 SHARE_LIBTIFF=1 SHARE_ZLIB=1 SHARE_JBIG2=1 SHARE_JPX=1 SHARE_LCMS=1 SHARE_IJS=1 SHARE_LCUPS=1 SHARE_LCUPSI=1 SHARE_EXPAT=1
 
 gs_opts += CUPSDATA=/usr/share/ppd/ghostscript
 
-# for building w/ FAPI
-ifneq (,$(findstring FT_BRIDGE,$(DEB_BUILD_OPTIONS)))
-FT_CFLAGS := $(shell pkg-config --cflags freetype2)
-FT_LIBS := $(shell pkg-config --libs freetype2)
-# TODO: document why CPPFLAGS is used (not CFLAGS)
-CPPFLAGS += $(FT_CFLAGS)
-LDFLAGS += $(FT_LIBS)
-gs_opts += FT_BRIDGE=1 FT_CFLAGS="$(FT_CFLAGS)" FT_LIB="$(FT_LIBS)"
-endif
+gs_opts += LCMSSRCDIR=/usr
 
 # FIXME: build without PIC for -dev package
 CFLAGS += -fPIC
@@ -126,39 +132,31 @@
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
 	--with-fontpath=/var/lib/ghostscript/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts
-# cairo support still experimental and makes core gs depend on X11 libs.
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-cairo
+
+gs_opts += SHARE_FT=1
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-freetype
+CDBS_BUILD_DEPENDS += , libfreetype6-dev
 
 DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
 DEB_MAKE_INSTALL_TARGET = soinstall install-cups DESTDIR=$(DEB_DESTDIR) $(gs_opts)
 
-DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
-DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)
-
-# Preserve upstream-shipped patch noise
-DEB_CLEAN_EXCLUDE += contrib/pcl3/eprn/eprnrend.c.orig
-
-# put aside upstream-shipped temp files during build but after copyright-check
-upstreamtmpfiles = cups/pstopxl cups/pstoraster
-pre-build:: debian/stamp-upstreamtmpstuff
-debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
-	done
-	touch $@
-clean::
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
-	done
-	rm -f debian/stamp-upstreamtmpstuff
+SEDRULE_CONTENT = 's/__ABI__/$(abi)/g;s/__VER__/$(major)/g'
+
+pre-build:: debian/control.in.in
+	echo "sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in -"
+	@sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in - || ( \
+		echo; \
+		echo "Upstream version has changed (or debian/control.in.in is out of sync)"; \
+		echo "Edit debian/control manually, or use the following command:"; \
+		echo "  DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean"; \
+		exit 1)
 
 # Generate (and cleanup) files containing variables static per build
-infiles = $(filter-out debian/control.in, $(wildcard debian/*.in))
-outfiles = $(basename $(infiles))
-DEB_PHONY_RULES += $(outfiles)
+infiles = $(filter-out debian/control.in debian/control.in.in, $(wildcard debian/*.in))
+outfiles = $(subst $(libname)__VER__,$(libpkgname),$(basename $(infiles)))
 pre-build:: $(outfiles)
 $(outfiles): update-config debian/stamp-copyright-check
-	sed 's/__ABI__/$(abi)/' <$@.in >$@
+	sed $(SEDRULE_CONTENT) <$(subst $(libpkgname),$(libname)__VER__,$@).in >$@
 clean::
 	rm -f $(outfiles)
 
@@ -168,7 +166,7 @@
 	[ ! -f Makefile ] || $(MAKE) soclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 # These are somehow left...
-	rm -rf sobin soobj gs.a
+	rm -rf sobin soobj gs.a cups/pstoraster cups/pstopxl
 
 install/ghostscript::
 	# Remove some of the scripts
@@ -182,7 +180,12 @@
 	mkdir -p $(DEB_DESTDIR)/usr/sbin/
 	install -m 755 debian/update-gsfontmap $(DEB_DESTDIR)/usr/sbin
 
-install/$(libpkgname)::
+	# Install Apport hook (Ubuntu only)
+	if dpkg-vendor --is ubuntu; then \
+		install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/ghostscript/usr/share/apport/package-hooks/source_ghostscript.py; \
+	fi
+
+install/$(datapkgname)::
 	# Strip CMap files (shipped separately, registered with DeFoMa)
 	rm -rf $(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/CMap
 
@@ -197,17 +200,3 @@
 debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
 	d-shlibmove --commit \
 		--override s/libstdc++6.*-dev// \
-		--override s/libgnutls26/libgnutls/ \
-		--override s/libjasper1/libjasper/ \
-		--override s/libpaper1/libpaper/ \
-		--devunversioned --ignorelibdep \
-		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		debian/tmp/usr/lib/$(libname).so
-clean::
-	rm -f debian/stamp-local-shlibs-$(libname)
-
-install/$(libpkgname)::
-	file='$(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/Init/cidfmap'; \
-	  ! egrep -v '^(%([^%].*)?)?$$' "$$file" && rm "$$file" || ( \
-		echo; \
-		echo 'ERROR: cidfmap not virtually empty as expected,'; \
